# Class FatLineXYShape

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.XYShape
uk.ac.starlink.ttools.plot2.layer.FatLineXYShape

public class FatLineXYShape extends XYShape
XYShape for drawing thick lines that start at the origin and terminate at the given X,Y displacement. Acquire a lazily constructed instance from the `getInstance(int)` method.

Since:
  4 Oct 2021
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class XYShape

`POINT`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FatLineXYShape(int nthick)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Glyph`
`createGlyph(short sx, short sy)`
Constructs a new glyph with given coordinates.
`static XYShape`
`getInstance(int nthick)`
Returns an instance of this class for drawing lines of a given thickness.

### Methods inherited from class XYShape

`createIcon, getGlyph, getName, isCached, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FatLineXYShape

protected FatLineXYShape(int nthick)
Constructor.

Parameters:
  `nthick` - thickness index >=0

## Method Details

### createGlyph

protected Glyph createGlyph(short sx, short sy)
Description copied from class: `XYShape`
Constructs a new glyph with given coordinates.

Specified by:
  `createGlyph` in class `XYShape`
Parameters:
  `sx` - X value
  `sy` - Y value
Returns:
  new glyph

### getInstance

public static XYShape getInstance(int nthick)
Returns an instance of this class for drawing lines of a given thickness. A lazily created cached instance may be returned.

Parameters:
  `nthick` - line thickness >=0
Returns:
  instance